### Function

# Gcr Pkcs11Certificate lookup_issuer_finish

#### Declaration [src]

    GcrCertificate*
    gcr_pkcs11_certificate_lookup_issuer_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an asynchronous operation started by gcr_pkcs11_certificate_lookup_issuer_async().

Will return `NULL` if no issuer certificate is found. Use `error` to determine if an error occurred.

#### Parameters

`result` | `GAsyncResult`
| The `GAsyncResult` passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GcrCertificate`
| A new `GcrPkcs11Certificate`, or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.